Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056671 - redis plugin does not load
Summary: redis plugin does not load
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rsyslog
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Heinrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 16:57 UTC by Jeffrey C. Ollie
Modified: 2016-09-20 04:51 UTC (History)
5 users (show)

Fixed In Version: rsyslog-7.4.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-24 12:35:23 UTC


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2014-01-22 16:57:35 UTC
The redis plugin will not load because of an undefined symbol.  Tested with a minimal conf file that consists solely of "$ModLoad omhiredis".  Tried with both selinux enforcing on and off.

# rpm -q rsyslog rsyslog-hiredis
rsyslog-7.4.2-2.fc20.x86_64
rsyslog-hiredis-7.4.2-2.fc20.x86_64
# /sbin/rsyslogd -n -d -f /etc/rsyslog.conf.test

9655.485606995:7f395679a780: rsyslogd 7.4.2 startup, module path '', cwd:/root
9655.486375947:7f395679a780: caller requested object 'net', not found (iRet -3003)
9655.486400950:7f395679a780: Requested to load module 'lmnet'
9655.486417642:7f395679a780: loading module '/lib64/rsyslog/lmnet.so'
9655.486533858:7f395679a780: module lmnet of type 2 being loaded (keepType=0).
9655.486549712:7f395679a780: entry point 'isCompatibleWithFeature' not present in module
9655.486561445:7f395679a780: entry point 'setModCnf' not present in module
9655.486571572:7f395679a780: entry point 'getModCnfName' not present in module
9655.486581560:7f395679a780: entry point 'beginCnfLoad' not present in module
9655.486595388:7f395679a780: source file conf.c requested reference for module 'lmnet', reference count now 1
9655.486636664:7f395679a780: rsyslog runtime initialized, version 7.4.2, current users 1
9655.486701617:7f395679a780: source file syslogd.c requested reference for module 'lmnet', reference count now 2
9655.486729134:7f395679a780: GenerateLocalHostName uses 'pc28043'
9655.486742613:7f395679a780: deque option n, optarg ''
9655.486756093:7f395679a780: deque option f, optarg '/etc/rsyslog.conf.test'
9655.486896893:7f395679a780: omfile: using transactional output interface.
9655.486942848:7f395679a780: module builtin:omfile of type 1 being loaded (keepType=0).
9655.486956607:7f395679a780: module config name is 'omfile'
9655.486967502:7f395679a780: module builtin:omfile supports rsyslog v6 config interface
9655.486980353:7f395679a780: entry point 'activateCnfPrePrivDrop' not present in module
9655.486992924:7f395679a780: entry point 'SetShutdownImmdtPtr' not present in module
9655.487008010:7f395679a780: module builtin:ompipe of type 1 being loaded (keepType=0).
9655.487021001:7f395679a780: module config name is 'ompipe'
9655.487031616:7f395679a780: module builtin:ompipe supports rsyslog v6 config interface
9655.487044397:7f395679a780: entry point 'activateCnfPrePrivDrop' not present in module
9655.487057039:7f395679a780: entry point 'SetShutdownImmdtPtr' not present in module
9655.487067934:7f395679a780: entry point 'beginTransaction' not present in module
9655.487078689:7f395679a780: entry point 'endTransaction' not present in module
9655.487094054:7f395679a780: module builtin-shell of type 1 being loaded (keepType=0).
9655.487106277:7f395679a780: entry point 'setModCnf' not present in module
9655.487116962:7f395679a780: entry point 'getModCnfName' not present in module
9655.487127439:7f395679a780: entry point 'beginCnfLoad' not present in module
9655.487139381:7f395679a780: entry point 'doHUP' not present in module
9655.487149858:7f395679a780: entry point 'SetShutdownImmdtPtr' not present in module
9655.487160334:7f395679a780: entry point 'beginTransaction' not present in module
9655.487218721:7f395679a780: entry point 'endTransaction' not present in module
9655.487229896:7f395679a780: entry point 'newActInst' not present in module
9655.487247635:7f395679a780: module builtin:omdiscard of type 1 being loaded (keepType=0).
9655.487259299:7f395679a780: entry point 'setModCnf' not present in module
9655.487269775:7f395679a780: entry point 'getModCnfName' not present in module
9655.487279692:7f395679a780: entry point 'beginCnfLoad' not present in module
9655.487291007:7f395679a780: entry point 'doHUP' not present in module
9655.487301134:7f395679a780: entry point 'SetShutdownImmdtPtr' not present in module
9655.487311330:7f395679a780: entry point 'beginTransaction' not present in module
9655.487321248:7f395679a780: entry point 'endTransaction' not present in module
9655.487331235:7f395679a780: entry point 'newActInst' not present in module
9655.487346530:7f395679a780: source file omfwd.c requested reference for module 'lmnet', reference count now 3
9655.487375445:7f395679a780: module builtin:omfwd of type 1 being loaded (keepType=0).
9655.487388296:7f395679a780: module config name is 'omfwd'
9655.487398981:7f395679a780: module builtin:omfwd supports rsyslog v6 config interface
9655.487411203:7f395679a780: entry point 'activateCnfPrePrivDrop' not present in module
9655.487422937:7f395679a780: entry point 'doHUP' not present in module
9655.487433273:7f395679a780: entry point 'SetShutdownImmdtPtr' not present in module
9655.487446962:7f395679a780: module builtin:omusrmsg of type 1 being loaded (keepType=0).
9655.487458137:7f395679a780: entry point 'setModCnf' not present in module
9655.487468473:7f395679a780: module config name is 'omusrmsg'
9655.487478461:7f395679a780: entry point 'beginCnfLoad' not present in module
9655.487489775:7f395679a780: entry point 'doHUP' not present in module
9655.487499902:7f395679a780: entry point 'SetShutdownImmdtPtr' not present in module
9655.487510029:7f395679a780: entry point 'beginTransaction' not present in module
9655.487519737:7f395679a780: entry point 'endTransaction' not present in module
9655.487532797:7f395679a780: rfc5424 parser init called
9655.487625546:7f395679a780: GetParserName addr 0x7f39567f4260
9655.487637489:7f395679a780: module builtin:pmrfc5424 of type 3 being loaded (keepType=0).
9655.487648524:7f395679a780: entry point 'setModCnf' not present in module
9655.487658302:7f395679a780: entry point 'getModCnfName' not present in module
9655.487668079:7f395679a780: entry point 'beginCnfLoad' not present in module
9655.487680581:7f395679a780: Parser 'rsyslog.rfc5424' added to list of available parsers.
9655.487695946:7f395679a780: rfc3164 parser init called
9655.487707330:7f395679a780: module builtin:pmrfc3164 of type 3 being loaded (keepType=0).
9655.487717946:7f395679a780: entry point 'setModCnf' not present in module
9655.487727654:7f395679a780: entry point 'getModCnfName' not present in module
9655.487737711:7f395679a780: entry point 'beginCnfLoad' not present in module
9655.487748676:7f395679a780: Parser 'rsyslog.rfc3164' added to list of available parsers.
9655.487759152:7f395679a780: Parser 'rsyslog.rfc5424' added to default parser set.
9655.487791559:7f395679a780: Parser 'rsyslog.rfc3164' added to default parser set.
9655.487806784:7f395679a780: rsyslog standard file format strgen init called, compiled with version 7.4.2
9655.487818308:7f395679a780: module builtin:smfile of type 4 being loaded (keepType=0).
9655.487828505:7f395679a780: entry point 'isCompatibleWithFeature' not present in module
9655.487838143:7f395679a780: entry point 'setModCnf' not present in module
9655.487847641:7f395679a780: entry point 'getModCnfName' not present in module
9655.487857768:7f395679a780: entry point 'beginCnfLoad' not present in module
9655.487869851:7f395679a780: Strgen 'RSYSLOG_FileFormat' added to list of available strgens.
9655.487881375:7f395679a780: traditional file format strgen init called, compiled with version 7.4.2
9655.487892340:7f395679a780: module builtin:smtradfile of type 4 being loaded (keepType=0).
9655.487902327:7f395679a780: entry point 'isCompatibleWithFeature' not present in module
9655.487912175:7f395679a780: entry point 'setModCnf' not present in module
9655.487921673:7f395679a780: entry point 'getModCnfName' not present in module
9655.487931311:7f395679a780: entry point 'beginCnfLoad' not present in module
9655.487942136:7f395679a780: Strgen 'RSYSLOG_TraditionalFileFormat' added to list of available strgens.
9655.487953451:7f395679a780: rsyslog standard (network) forward format strgen init called, compiled with version 7.4.2
9655.487964416:7f395679a780: module builtin:smfwd of type 4 being loaded (keepType=0).
9655.487974473:7f395679a780: entry point 'isCompatibleWithFeature' not present in module
9655.487984321:7f395679a780: entry point 'setModCnf' not present in module
9655.487993749:7f395679a780: entry point 'getModCnfName' not present in module
9655.488003597:7f395679a780: entry point 'beginCnfLoad' not present in module
9655.488014562:7f395679a780: Strgen 'RSYSLOG_ForwardFormat' added to list of available strgens.
9655.488025806:7f395679a780: rsyslog traditional (network) forward format strgen init called, compiled with version 7.4.2
9655.488036562:7f395679a780: module builtin:smtradfwd of type 4 being loaded (keepType=0).
9655.488046340:7f395679a780: entry point 'isCompatibleWithFeature' not present in module
9655.488056397:7f395679a780: entry point 'setModCnf' not present in module
9655.488065895:7f395679a780: entry point 'getModCnfName' not present in module
9655.488075603:7f395679a780: entry point 'beginCnfLoad' not present in module
9655.488086079:7f395679a780: Strgen 'RSYSLOG_TraditionalForwardFormat' added to list of available strgens.
9655.488096486:7f395679a780: doing legacy config system init
9655.488206974:7f395679a780: tplAddLine processing template 'RSYSLOG_DebugFormat'
9655.488249228:7f395679a780: tplAddLine processing template 'RSYSLOG_SyslogProtocol23Format'
9655.488272835:7f395679a780: tplAddLine processing template 'RSYSLOG_FileFormat'
9655.488286803:7f395679a780: template bound to strgen 'RSYSLOG_FileFormat'
9655.488297279:7f395679a780: tplAddLine processing template 'RSYSLOG_TraditionalFileFormat'
9655.488307266:7f395679a780: template bound to strgen 'RSYSLOG_TraditionalFileFormat'
9655.488317463:7f395679a780: tplAddLine processing template ' WallFmt'
9655.488332060:7f395679a780: tplAddLine processing template 'RSYSLOG_ForwardFormat'
9655.488342466:7f395679a780: template bound to strgen 'RSYSLOG_ForwardFormat'
9655.488352733:7f395679a780: tplAddLine processing template 'RSYSLOG_TraditionalForwardFormat'
9655.488441222:7f395679a780: template bound to strgen 'RSYSLOG_TraditionalForwardFormat'
9655.488454073:7f395679a780: tplAddLine processing template ' StdUsrMsgFmt'
9655.488473069:7f395679a780: tplAddLine processing template ' StdDBFmt'
9655.488497025:7f395679a780: tplAddLine processing template 'RSYSLOG_SysklogdFileFormat'
9655.488513647:7f395679a780: tplAddLine processing template ' StdPgSQLFmt'
9655.488538022:7f395679a780: tplAddLine processing template ' StdJSONFmt'
9655.488558346:7f395679a780: tplAddLine processing template 'RSYSLOG_omudpspoofDfltSourceTpl'
9655.488746987:7f395679a780: config parser: pushed file /etc/rsyslog.conf.test on top of stack
Starting parse
Entering state 0
Reducing stack by rule 1 (line 122):
-> $$ = nterm conf ()
Stack now 0
Entering state 1
Reading a token: 9655.488851539:7f395679a780: cnf:global:cfsysline: $ModLoad omhiredis
9655.488869907:7f395679a780: Requested to load module 'omhiredis'
9655.488881152:7f395679a780: loading module '/lib64/rsyslog/omhiredis.so'
9655.488979767:7f395679a780: Called LogError, msg: could not load module '/lib64/rsyslog/omhiredis.so', dlopen: /lib64/rsyslog/omhiredis.so: undefined symbol: redisConnectWithTimeout

9655.489130345:7f395679a780: rsyslog/glbl: using '127.0.0.1' as localhost IP
rsyslogd: could not load module '/lib64/rsyslog/omhiredis.so', dlopen: /lib64/rsyslog/omhiredis.so: undefined symbol: redisConnectWithTimeout
 [try http://www.rsyslog.com/e/2066 ]
9655.489167640:7f395679a780: config parser: reached end of file /etc/rsyslog.conf.test
9655.489178326:7f395679a780: config parser: parsing completed
Now at end of input.
Shifting token $end ()
Entering state 2
Stack now 0 1 2
Cleanup: popping token $end ()
Cleanup: popping nterm conf ()
9655.489272961:7f395679a780: Called LogError, msg: CONFIG ERROR: there are no active actions configured. Inputs will run, but no output whatsoever is created.
rsyslogd: CONFIG ERROR: there are no active actions configured. Inputs will run, but no output whatsoever is created. [try http://www.rsyslog.com/e/2103 ]
9655.489300339:7f395679a780: GenerateLocalHostName uses 'pc28043'
rsyslogd: run failed with error -2103 (see rsyslog.h or try http://www.rsyslog.com/e/2103 to learn what that number means)

Comment 1 Tomas Heinrich 2014-01-23 15:01:28 UTC
You're right:

$ ldd -r /usr/lib64/rsyslog/omhiredis.so |& grep ' redis'
undefined symbol: redisConnectWithTimeout       (/usr/lib64/rsyslog/omhiredis.so)
undefined symbol: redisFree     (/usr/lib64/rsyslog/omhiredis.so)
undefined symbol: redisAppendCommand    (/usr/lib64/rsyslog/omhiredis.so)
undefined symbol: redisGetReply (/usr/lib64/rsyslog/omhiredis.so)

Thanks for reporting.

Comment 2 Fedora Update System 2014-02-23 17:51:58 UTC
rsyslog-7.4.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rsyslog-7.4.8-1.fc20

Comment 3 Fedora Update System 2014-02-24 12:35:23 UTC
rsyslog-7.4.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.